%define desktop_file 1
%define kver 1.8.1

Name: kile
Version: %{kver}
Release: 1.PU_IAS.4
Summary: Integrated LaTeX Environment for KDE3
Source: http://prdownloads.sourceforge.net/kile/kile-%{version}.tar.bz2
Patch1: kile-1.8.1-src_specials.patch
Group: Applications/Publishing
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Distribution: RedHat
Url: http://soliton.science.uva.nl/~wijnhout/Kite/
Vendor: Jeroen Wijnhout <wijnhout@science.uva.nl>
Requires: qt >= 3.1.1
Requires: kdelibs >= 3.1
Requires: aspell >= 0.33.7.1
Requires: tetex >= 1.0.7
Requires: tetex-latex >= 1.0.7
Requires: tetex-dvips >= 1.0.7
Requires: tetex-xdvi >= 1.0.7
Requires: xpdf >= 2.01
Requires: gnuplot >= 3.7.3
Requires: xfig >= 3.2.3
Requires: desktop-file-utils >= 0.3
BuildRequires: qt-devel >= 3.1
BuildRequires: kdelibs-devel >= 3.1
BuildRequires: arts-devel >= 1.1
BuildRequires: libart_lgpl-devel >= 2.3.10

%if %{desktop_file}
Prereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
LaTeX source editor - TeX shell - Gnuplot front end for KDE 3
Kile is a program for KDE 3, that integrates many tools needed
to develop documents with LaTeX, in just one application.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch1 -p1 -b .src_specials

%build
# Qt/KDE Enviroments
unset QTDIR && . /etc/profile.d/qt.sh

# kile

%configure --with-qt-dir=$QTDIR --with-qt-libraries=$QTDIR/lib

make %{?smp_mflags}

make %{?smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT install

# conflicts with file from package kdelibs
rm -f $RPM_BUILD_ROOT%{_datadir}/apps/katepart/syntax/latex.xml

cd ../kile-%{kver}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%{_bindir}/*
%{_datadir}/applications/kde/*
%{_datadir}/mimelnk/text/x-kilepr.desktop
%{_datadir}/apps/*
%{_datadir}/config.kcfg/*
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%doc %{_docdir}/HTML/*

%changelog
* Tue Aug 30 2005 Josko Plazonic <plazonic@math.princeton.edu>
- kile 1.8.1 release

* Sun Oct 17 2004 Gerald Teschl <gt@esi.ac.at> 1.7
- kile 1.7.1 release

* Tue Mar 23 2004 Patrick De Maziere <pdemaziere@antwerpen.be> 1.6.2
- kile 1.6.2 release for RHL 9
- Added syntax-highlighting for the natbib package

* Thu Nov 03 2003 Mikael Boehm <mickopicko@telia.com> 1.6-0
- kile 1.6 release for RHL 9

* Thu Sep 21 2003 Mikael Boehm <mickopicko@telia.com> 1.5.0-2
- Added requirement for desktop-file-utils

* Thu Jul 17 2003 Mikael Boehm <mickopicko@telia.com> 1.5.2-0
- kile 1.5.2 release for RHL 9

* Mon May 19 2003 Than Ngo <than@redhat.com> 1.5-1
- initial rpm for RHL 9
